Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ElementSpec

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ElementSpec

Direct Known Subclasses:
  ConstantSpec, FieldSpec

    public abstract class ElementSpec

extends java.lang.Object

An abstract superclass of objects that are components of a RecordSpec. Each describes an item in an Assembler DSECT, and is used by `RecordClassGenerator` to generate a Java source class to describe the Assembler DSECT.

See Also:
  `RecordSpec`, `RecordClassGenerator`, `RecordSpecBuilder`

Constructor Summary
`ElementSpec()`

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Dump debug information for the receiver
`java.lang.String` | `getLabel()` Answer a String, possibly null, which is the Assembler label/symbol for the element
`java.util.ArrayList` | `getSourceLines()` Answer a List of Strings which are typically Assembler comments for the receiver's element.
`int` | `getSourceStmt()` Answer an integer which is the Assembler source statement number
`void` | `setLabel(java.lang.String label)`
`void` | `setSourceLines(java.util.ArrayList sourceLines)`
`void` | `setSourceStmt(int sourceStmt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementSpec

    public ElementSpec()

Method Detail

### getSourceLines

    public java.util.ArrayList getSourceLines()

  Answer a List of Strings which are typically Assembler comments for the receiver's element.

  Returns:
    ArrayList

### setSourceLines

    public void setSourceLines(java.util.ArrayList sourceLines)

  See Also:
    `getSourceLines()`

### getLabel

    public java.lang.String getLabel()

  Answer a String, possibly null, which is the Assembler label/symbol for the element

  Returns:
    String

### setLabel

    public void setLabel(java.lang.String label)

  See Also:
    `getLabel()`

### getSourceStmt

    public int getSourceStmt()

  Answer an integer which is the Assembler source statement number

  Returns:
    int

### setSourceStmt

    public void setSourceStmt(int sourceStmt)

  See Also:
    `getSourceStmt()`

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Dump debug information for the receiver

  Parameters:
    `writer` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD